<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_bf2b3f7714b3538f48e780c" . "3e7770090" => base64_decode("YXBwX25ld3" . "M="), "_0c5123aa744f69bbc0" . "e8b3ea2f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_d0c05b93b1b3930a232616bd5f" . "573345" => base64_decode("bWVudS5hcHAubmV3" . "cw=="), "_d3c72043723006b659492f0" . "87ddf1fdf" => base64_decode("bmV" . "3cw" . "=="));
use Claromentis\News\NewsApplication as NewsNewsApplication;
use Claromentis\Search\ItemType;






class NewsApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_d3c720437" . "23006b6594" . "92f087ddf1" . "fdf"] => function () {
            return new ItemType\News();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0c5123aa744f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_d0c05b93b1b3930a232616" . "bd5f573345"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_bf2b3f7714b3538f48e780" . "c3e7770090"];
    }
    public function GetIcon() : string
    {
        return NewsNewsApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_d3c7204372300" . "6b659492f087dd" . "f1fdf"]];
    }
}